'use strict'

const Gpio = require("../lib/gpio2.js").Gpio;

const sleep = (millsec) => {
  console.log("sleep..." + millsec);
  return new Promise((resolve) => setTimeout(() => resolve(), millsec));
};

let gpio0 = new Gpio(40),
    gpio1 = new Gpio(32);

let main = async () => {
  await gpio1.export('in','falling');

  gpio1.watch(function(err, value){
    console.log('watched', gpio1.edge, gpio1.value, value);
  });

  await gpio0.export();

  while(1){
    await gpio0.toggleValue();
    await sleep(1000);
  }
}

process.on("SIGINT", function(){
  gpio0.unexport();
  gpio1.unexport();

  console.log('shutdown!');
  process.exit(0);
});

main();